org.bouncycastle.crypto.params

## Class Ed25519PublicKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.crypto.params.Ed25519PublicKeyParameters

- All Implemented Interfaces:
    CipherParameters

      public final class Ed25519PublicKeyParameters
      extends AsymmetricKeyParameter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `KEY_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Ed25519PublicKeyParameters(byte[] buf)`
    `Ed25519PublicKeyParameters(byte[] buf, int off)`
    `Ed25519PublicKeyParameters(Ed25519.PublicPoint publicPoint)`
    `Ed25519PublicKeyParameters(java.io.InputStream input)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encode(byte[] buf, int off)`
    `byte[]` | `getEncoded()`
    `boolean` | `verify(int algorithm, byte[] ctx, byte[] msg, int msgOff, int msgLen, byte[] sig, int sigOff)`

    - ### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

      `isPrivate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KEY_SIZE

          public static final int KEY_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Ed25519PublicKeyParameters

          public Ed25519PublicKeyParameters(byte[] buf)

    - #### Ed25519PublicKeyParameters

          public Ed25519PublicKeyParameters(byte[] buf,
                                            int off)

    - #### Ed25519PublicKeyParameters

          public Ed25519PublicKeyParameters(java.io.InputStream input)
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### Ed25519PublicKeyParameters

          public Ed25519PublicKeyParameters(Ed25519.PublicPoint publicPoint)

  - ### Method Detail

    - #### encode

          public void encode(byte[] buf,
                             int off)

    - #### getEncoded

          public byte[] getEncoded()

    - #### verify

          public boolean verify(int algorithm,
                                byte[] ctx,
                                byte[] msg,
                                int msgOff,
                                int msgLen,
                                byte[] sig,
                                int sigOff)